# Class ErrorPacket

java.lang.Object
org.mariadb.jdbc.internal.com.read.ErrorPacket

public class ErrorPacket extends Object
See protocol documentation https://mariadb.com/kb/en/err_packet/

## Constructor Summary

Constructors
Constructor
Description
`ErrorPacket(Buffer buffer)`
Reading error stream.

## Method Summary

Modifier and Type
Method
Description
`short`
`getErrorCode()`
`String`
`getMessage()`
`String`
`getSqlState()`

### Methods inherited from class Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### ErrorPacket

public ErrorPacket(Buffer buffer)
Reading error stream.

Parameters:
  `buffer` - current stream rawBytes

## Method Details

### getMessage

public String getMessage()

### getErrorCode

public short getErrorCode()

### getSqlState

public String getSqlState()